Bug 26926 - Omnibus: Update all occurrences of <input type="number"> to apply ACC2 coding guideline
Summary: Omnibus: Update all occurrences of <input type="number"> to apply ACC2 coding...
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Eden
QA Contact: Testopia
URL: https://wiki.koha-community.org/wiki/...
Keywords: Academy, accessibility, rel_21_05_candidate
Depends on: 27290 27404 27405 27406 27407 27408 27409 27410 27411 27412 28134 28135
Blocks: 23003
  Show dependency treegraph
 
Reported: 2020-11-04 15:55 UTC by Martin Renvoize
Modified: 2021-04-14 13:51 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-11-04 15:55:53 UTC
Retroactively apply ACC2 coding guideline

We need to update all `input type="number"` occurrences to use `<input type="text" inputmode="numeric" pattern="[0-9]*">` as per the new accessibility guideline.
Comment 1 Katrin Fischer 2021-01-11 22:12:35 UTC
This bug split into multiple might make a good Academy task?
Comment 2 Martin Renvoize 2021-01-12 10:27:03 UTC
(In reply to Katrin Fischer from comment #1)
> This bug split into multiple might make a good Academy task?

Done
Comment 4 David Nind 2021-02-20 23:14:59 UTC
Owen Leonard updated Bug 27408 and Bug 27410 for currency strings, and I've updated Bug 27405:

- inputmode changed to "decimal"
- regex pattern changed to "^\d+(\.\d{2})?$" as found in admin/debit_types.tt

"The regex validating the modified field doesn't allow for currency-formatted values like "1.00" because of the dot."
Comment 5 Henry Bolshaw 2021-04-12 09:48:12 UTC
I think all of these occurrences have been fixed now. Is that correct?
Comment 6 Owen Leonard 2021-04-12 11:39:49 UTC
(In reply to Henry Bolshaw from comment #5)
> I think all of these occurrences have been fixed now. Is that correct?

I think Bug 28134 and 28135 are the last.